org.apache.xmlgraphics.xmp

## Class XMPThinStructure

- java.lang.Object
- - org.apache.xmlgraphics.xmp.XMPComplexValue
  - - org.apache.xmlgraphics.xmp.XMPStructure
    - - org.apache.xmlgraphics.xmp.XMPThinStructure

- All Implemented Interfaces:
    XMLizable, PropertyAccess

      public class XMPThinStructure
      extends XMPStructure

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlgraphics.xmp.XMPStructure

      `properties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMPThinStructure()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `toSAX(org.xml.sax.ContentHandler handler)` Generates SAX events representing the object's state.

    - ### Methods inherited from class org.apache.xmlgraphics.xmp.XMPStructure

      `getProperty, getProperty, getPropertyCount, getSimpleValue, getValueProperty, iterator, removeProperty, setProperty, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XMPThinStructure

          public XMPThinStructure()

  - ### Method Detail

    - #### toSAX

          public void toSAX(org.xml.sax.ContentHandler handler)
                     throws org.xml.sax.SAXException

      Description copied from class: `XMPStructure`
      Generates SAX events representing the object's state.
      Specified by:
        `toSAX` in interface `XMLizable`
      Overrides:
        `toSAX` in class `XMPStructure`
      Parameters:
        `handler` - ContentHandler instance to send the SAX events to
      Throws:
        `org.xml.sax.SAXException` - if there's a problem generating the SAX events

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.